#include <bits/stdc++.h>
typedef long long ll;

using namespace std;

long long maksSreca(ll druzeljubivost[], int n, ll poznanstva[], int m){
    ll sreca = 0;
    for(int i = 1;i <= n;i++){
        sreca += druzeljubivost[i]*poznanstva[i];
    }
    return sreca;
}

int main(){
    ios::sync_with_stdio(false);
    cin.tie(0); //izbaciti ovo i sync?
    int n, m;
    cin >> n >> m;
    ll druzeljubivost[n+1] = {0};
    for(int i = 1;i <= n;i++)
        cin >> druzeljubivost[i];
    ll poznanstva[n+1] = {0};
    int u, v;
    for(int i = 1;i <= m;i++){
        cin >> u >> v;
        if(druzeljubivost[u] > 0 && druzeljubivost[v] > 0){
            poznanstva[u]++;
            poznanstva[v]++;
        }
        else if(druzeljubivost[u] <= 0 && druzeljubivost[v] <= 0){
            poznanstva[u]--;
            poznanstva[v]--;
        }
        else{
            if(abs(druzeljubivost[u]) > abs(druzeljubivost[v])){
                if(druzeljubivost[u] > 0){
                    druzeljubivost[u]++;
                    druzeljubivost[v]++;
                }
                else{
                    druzeljubivost[u]--;
                    druzeljubivost[v]--;
                }
            }
            else if(abs(druzeljubivost[u]) < druzeljubivost[v]){
                if(druzeljubivost[v] > 0){
                    druzeljubivost[v]++;
                    druzeljubivost[u]++;
                }
                else{
                    druzeljubivost[v]--;
                    druzeljubivost[u]--;
                }
            }
            else{
                if(abs(poznanstva[u]) > abs(poznanstva[v])){
                    if(druzeljubivost[u] > 0){
                        poznanstva[u]++;
                        poznanstva[v]++;
                    }
                    else{
                        poznanstva[u]--;
                        poznanstva[v]--;
                    }
                }
                else{
                    if(druzeljubivost[v] > 0){
                        poznanstva[v]++;
                        poznanstva[u]++;
                    }
                    else{
                        poznanstva[v]--;
                        poznanstva[u]--;
                    }
                }
            }
        }
    }
    cout << maksSreca(druzeljubivost, n, poznanstva, m);
    return 0;
}